Announcement Announcement Module
Collapse
No announcement yet.
Clean STS 3.0.0.M3 install/workspace consistently crashes Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Clean STS 3.0.0.M3 install/workspace consistently crashes

    My fresh STS 3.0.0.M3 install (no additional plugins) and new workspace consistently crashes. Previous STS 3.x versions seem to crash as well, but they take a bit longer to cause an issue (I had assumed this was an Eclipse stability issue since they were not based on the Final Eclipse release). STS 2.9.2.RELEASE seems to work just fine for me.

    One thing that seems to trigger the issue is to start with a fresh workspace and try to "3.0.0.M3 New & Noteworthy" document. Shortly after the download it crashes. I haven't been able to capture much information on what is happening as there is no dialog that pops up before the crash. Below is what I have been able to gather.

    You can find a copy of the Eclipse log below:

    Code:
    !SESSION 2012-07-10 10:00:19.540 -----------------------------------------------
    eclipse.buildId=3.0.0.201207050802-M3-e42
    java.version=1.6.0_32
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US
    Framework arguments:  -product com.springsource.sts.ide
    Command-line arguments:  -os linux -ws gtk -arch x86_64 -product com.springsource.sts.ide
    
    !ENTRY org.eclipse.core.resources 2 10035 2012-07-10 10:00:24.928
    !MESSAGE The workspace exited with unsaved changes in the previous session; refreshing workspace to recover changes.
    
    !ENTRY org.eclipse.mylyn.tasks.ui 4 0 2012-07-10 10:00:26.985
    !MESSAGE Could not load repository template extension contributed by org.springsource.ide.eclipse.dashboard.ui with connectorKind jira
    
    !ENTRY org.eclipse.mylyn.tasks.ui 4 0 2012-07-10 10:00:26.989
    !MESSAGE Could not load repository template extension contributed by org.springsource.ide.eclipse.dashboard.ui with connectorKind jira
    
    !ENTRY org.springsource.ide.eclipse.commons.frameworks.core 0 0 2012-07-10 10:00:32.246
    !MESSAGE Result of converting legacy STS 2.x workspace preferences to 3.x
    !SUBENTRY 1 org.springsource.ide.eclipse.commons.frameworks.core 0 0 2012-07-10 10:00:32.247
    !MESSAGE Converted legacy STS plugin preferences
    !SUBENTRY 1 unknown 0 0 2012-07-10 10:00:32.247
    !MESSAGE OK
    !SUBENTRY 1 org.springsource.ide.eclipse.commons.frameworks.core 0 0 2012-07-10 10:00:32.247
    !MESSAGE Converted legacy Roo plugin state locations
    !SUBENTRY 1 org.springsource.ide.eclipse.commons.frameworks.core 0 0 2012-07-10 10:00:32.247
    !MESSAGE Converted legacy STS plugin state locations
    My OS information:

    Code:
    Linux vmc-floorc-dhcp120-218 3.2.0-26-generic #41-Ubuntu SMP Thu Jun 14 17:49:24 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
    Some of the install details

    Code:
    *** Date: Tuesday, July 10, 2012 10:14:21 AM Central Daylight Time
    
    *** Platform Details:
    
    *** System properties:
    applicationXMI=org.eclipse.ui.workbench/LegacyIDE.e4xmi
    eclipse.application=org.eclipse.ui.ide.workbench
    eclipse.buildId=3.0.0.201207050802-M3-e42
    eclipse.commands=-os
    linux
    -ws
    gtk
    -arch
    x86_64
    -showsplash
    -launcher
    /home/rwinch/Downloads/springsource/sts-3.0.0.M3/STS
    -name
    STS
    --launcher.library
    /home/rwinch/Downloads/springsource/sts-3.0.0.M3/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20120522-1813/eclipse_1502.so
    -startup
    /home/rwinch/Downloads/springsource/sts-3.0.0.M3/plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar
    --launcher.overrideVmargs
    -exitdata
    3514800c
    -product
    com.springsource.sts.ide
    -vm
    /usr/bin/java
    eclipse.home.location=file:/home/rwinch/Downloads/springsource/sts-3.0.0.M3/
    eclipse.launcher=/home/rwinch/Downloads/springsource/sts-3.0.0.M3/STS
    eclipse.launcher.name=STS
    eclipse.p2.data.area=@config.dir/../p2
    eclipse.p2.profile=DefaultProfile
    eclipse.product=com.springsource.sts.ide
    eclipse.startTime=1341933235455
    eclipse.vm=/usr/bin/java
    eclipse.vmargs=-Dosgi.requiredJavaVersion=1.5
    -Xms40m
    -Xmx768m
    -XX:MaxPermSize=256m
    -jar
    /home/rwinch/Downloads/springsource/sts-3.0.0.M3/plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar
    equinox.use.ds=true
    file.encoding=UTF-8
    file.encoding.pkg=sun.io
    file.separator=/
    gosh.args=--nointeractive
    guice.disable.misplaced.annotation.check=true
    java.awt.graphicsenv=sun.awt.X11GraphicsEnvironment
    java.awt.printerjob=sun.print.PSPrinterJob
    java.class.path=/home/rwinch/Downloads/springsource/sts-3.0.0.M3/plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar
    java.class.version=50.0
    java.endorsed.dirs=/usr/lib/jvm/jdk1.6.0_32/jre/lib/endorsed
    java.ext.dirs=/usr/lib/jvm/jdk1.6.0_32/jre/lib/ext:/usr/java/packages/lib/ext
    java.home=/usr/lib/jvm/jdk1.6.0_32/jre
    java.io.tmpdir=/tmp
    java.library.path=/usr/lib/jvm/jdk1.6.0_32/jre/lib/amd64/server:/usr/lib/jvm/jdk1.6.0_32/jre/lib/amd64:/usr/lib/jvm/jdk1.6.0_32/jre/../lib/amd64:/usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib
    java.runtime.name=Java(TM) SE Runtime Environment
    java.runtime.version=1.6.0_32-b05
    java.specification.name=Java Platform API Specification
    java.specification.vendor=Sun Microsystems Inc.
    java.specification.version=1.6
    java.vendor=Sun Microsystems Inc.
    java.vendor.url=http://java.sun.com/
    java.vendor.url.bug=http://java.sun.com/cgi-bin/bugreport.cgi
    java.version=1.6.0_32
    java.vm.info=mixed mode
    java.vm.name=Java HotSpot(TM) 64-Bit Server VM
    java.vm.specification.name=Java Virtual Machine Specification
    java.vm.specification.vendor=Sun Microsystems Inc.
    java.vm.specification.version=1.0
    java.vm.vendor=Sun Microsystems Inc.
    java.vm.version=20.7-b02
    line.separator=
    Any assistance would be greatly appreciated.

    Cheers,

  • #2
    Hey!

    I remember Linux users having problems with the Browser toolkit that is used inside Eclipse/STS. Can you check using another browser implementation inside Eclipse (via Preferences -> General -> Web Browser)?

    -Martin

    Comment


    • #3
      Martin,

      Thank you for taking the time to respond. This appears to have solved my problem. For what its worth I used STS 3.0.0.M3 all day yesterday for development and other than the one issue (that you have helped me resolve) it is working quite well for me. Keep up the good work and thanks again for your help

      Cheers,
      Last edited by Rob Winch; Jul 11th, 2012, 10:00 AM. Reason: fixed minor typo

      Comment


      • #4
        Hey Rob!

        Thanks for the feedback and for letting us know that its working now for you.
        And thanks a lot for the encouraging words - great to read those things here!!!

        Cheers,
        -Martin

        Comment

        Working...
        X